%define name	xgsm
%define version	0.2
%define release 1mdk

Name: 	 	%{name}
Summary: 	GUI to intergace with a GSM-capable mobile phone
Version: 	%{version}
Release: 	%{release}

Source:		%{name}lib-%{version}.tar.bz2
URL:		http://www.pxh.de/fs/xgsmlib/index.html
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgnome32-devel libgtk+1.2-devel libgsmlib-devel
BuildRequires:	libxpm-devel libgtkmm1.2-devel gettext libgnomemm-1.2-devel

%description
Xgsm is a Gnome-based GUI to the functions of the gsmlib library. With xgsm
you can edit/backup/manage your mobile phone's phonebook and SMS entries. You
can also send and receive SMS messages via your mobile phone using your
computer.

%prep
%setup -q -n %{name}lib-%{version}

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="communications_section.png" needs="x11" title="Xgsm" longtitle="GSM phone interface" section="Applications/Communications"
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING TODO
%{_bindir}/%name
%{_menudir}/%name

%changelog
* Mon Apr 14 2003 Austin Acton <aacton@yorku.ca> 0.2-1mdk
- initial package
